struc	XMHEADER
	IDText			db 17 dup (?)
	ModuleName		db 20 dup (?)
	IDByte			db ?
	TrackerName		db 20 dup (?)
	ModuleVersion		dw ?
; 60 bytes
	DwSize			dd ?
	SongLength		dw ?
	RestartOrder		dw ?
	NumChannels		dw ?
	NumPatterns		dw ?
	NumInstruments		dw ?
	Flags			dw ?
	Speed			dw ?
	BPM			dw ?
	OrderTable		db 256 dup (?)
ends

struc	PATTERN
	dwSize			dd ?
	PackingType		db ?
	NumRows 		dw ?
	PatternSize		dw ?
ends

struc	INSTRUMENTHEADER
	dwSize			dd ?
	InstrName		db 22 dup (?)
	Type			db ?
	NumSamples		dw ?

	DwSampleHeaderSize	dd ?
	SampleDispatch		db 96 dup (?)
	VolumeEnvelope		dw 24 dup (?)
	PanningEnvelope 	dw 24 dup (?)
	VESize			db ?
	PESize			db ?
	VolSustain		db ?
	VolLoopBegin		db ?
	VolLoopEnd		db ?
	PanSustain		db ?
	PanLoopBegin		db ?
	PanLoopEnd		db ?
	VolType 		db ?
	PanType 		db ?
	VibType 		db ?
	VibSweep		db ?
	VibDepth		db ?
	VibRate 		db ?
	Fadeout 		dw ?
	reserved		dw ?
ends

struc	SAMPLEHEADER
	SampleLength		dd ?
	SampleLoopBegin 	dd ?
	SampleLoopLength	dd ?
	Volume			db ?
	Finetune		db ?
	Type			db ?
	Panning 		db ?
	RelativeNote		db ?
	reserved		db ?
	SampleName		db 22 dup (?)
ends
